This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 552423 - [abrt] crash in gnome-panel (/usr/libexec/wnck-applet @ wncklet_connect_while_alive / wncklet.c:183)
[abrt] crash in gnome-panel (/usr/libexec/wnck-applet @ wncklet_connect_while...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:c7fbf76a931d71fdb2a67d2a2cf...
: CommonBugs, Triaged
: 583765 585520 585564 585616 587230 587493 587852 587979 588631 589356 590420 590452 590483 590969 591181 591189 591743 592759 593014 593065 593177 593495 593526 593672 594530 594619 594985 595080 595242 595464 596088 596336 596369 596443 596448 596755 596842 596853 597447 597485 597585 598275 598461 598720 598802 598993 599032 599311 599513 599900 600312 600709 600902 601282 601449 601624 602245 602278 603463 603636 603746 603879 603900 604141 604454 604667 605250 605707 606036 607047 608307 608308 608377 608620 609461 610282 611005 611013 611111 611245 611645 614044 616229 618185 619254 620234 621421 621574 625040 626522 628124 629132 635963 637458 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-04 19:42 EST by uday kiran reddy
Modified: 2010-11-08 04:23 EST (History)
128 users (show)

See Also:
Fixed In Version: gnome-panel-2.30.0-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (11.58 KB, text/plain)
2010-01-04 19:42 EST, uday kiran reddy
no flags Details
Screenshot of immediate pre-crash state of workspace switcher (9.19 KB, image/png)
2010-01-08 01:49 EST, Christopher Beland
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 472773 None None None Never

  None (edit)
Description uday kiran reddy 2010-01-04 19:42:29 EST
abrt 1.0.2 detected a crash.

Attached file: backtrace
cmdline: /usr/libexec/wnck-applet --oaf-activate-iid=OAFIID:GNOME_Wncklet_Factory --oaf-ior-fd=20
component: gnome-panel
executable: /usr/libexec/wnck-applet
kernel: 2.6.31.9-174.fc12.i686.PAE
package: gnome-panel-2.28.0-16.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 uday kiran reddy 2010-01-04 19:42:32 EST
Created attachment 381678 [details]
File: backtrace
Comment 2 Christopher Beland 2010-01-08 01:49:50 EST
Created attachment 382401 [details]
Screenshot of immediate pre-crash state of workspace switcher

This crash happens not infrequently for me.  When I log in, no workspace names are shown (as seen in attached screenshot), though when I hover the mouse over the workspace switcher, the tooltip does show the correct names.  In this state, I can always trigger a crash by right-clicking on the switcher and selecting Preferences.  I do remember editing my preferences during my last Gnome session before rebooting, so it might have something to do with how preferences are saved to disk. I have been seeing this problem since at least Fedora 11.  Gnome Panel automatically asks if I want to reload the crashed application, and after doing so, it works normally again, showing workspace names.
Comment 3 Earle Nietzel 2010-03-11 09:49:52 EST

How to reproduce
-----
1. Just started to happen after updatiing to latest gnome-panel


Comment
-----
Just started to happen after updatiing to latest gnome-panel
Comment 4 Christopher Beland 2010-03-12 20:47:00 EST

How to reproduce
-----
Same as previously reported in bug 552423.
Comment 5 Christopher Beland 2010-03-12 22:59:11 EST

How to reproduce
-----
Same circumstances as previously reported.
Comment 6 Robert Schouwenburg 2010-03-14 05:58:38 EDT

How to reproduce
-----
1. Right click on workspace switcher
Comment 7 John M. Cook 2010-03-22 20:55:27 EDT

How to reproduce
-----
1. Workplace Switcher was previously set to "show workplace names in switcher", now displayed icons in workspace switcher panel
2. Right clicked on switcher panel and left clicked on preferences to change back to "show workplace names in switcher"
3. Entire lower taskbar went blank and three "reload" buttons appear to reload the items on the lower taskbar
Comment 8 Gerhard 2010-03-23 02:58:39 EDT

How to reproduce
-----
1. Right click on desktop-switcher at the bottom line.
2. Left click on properties.
Comment 9 Chris 2010-03-26 11:14:09 EDT

Comment
-----
all I did was try to right click on the "work space switcher" to get to the preferences menu and got the crash
Comment 10 bugzillaredhat 2010-03-26 15:58:20 EDT

How to reproduce
-----
1. reboot computer
2. log in
3. notice there are no labels in the workspace switch 
4. right-click the workspace switch and click preferences


Comment
-----
this happens quite often
Comment 11 John M. Cook 2010-03-27 16:47:42 EDT

How to reproduce
-----
1. Power saving setting turns off monitor after 1 minute of inactivity
2. After "powered off" monitor resumes, workstation panel is no longer displaying names in the switcher panel. 
3. Attempt to right click on switcher panel to show names > preferences and receive the following error windows


Comment
-----
"Show Desktop" has quit unexpectantly

If you reload a panel object, it will automatically be added back to the panel.

"Workspace Switcher" has quit unexpectedly

If you reload a panel object, it will automatically be added back to the panel.

"Window List" has quit unexpectedly

If you reload a panel object, it will automatically be added back to the panel.
Comment 12 Tony C 2010-03-29 00:56:38 EDT

How to reproduce
-----
1. Use Fedora
2. open a file
3.fill in this report


Comment
-----
I was happily working away, when all desktop icons disappeared and this bug-reporting tool appeared
the icons appeared after a re-boot
Comment 13 Michel Bourget 2010-03-29 11:04:56 EDT

How to reproduce
-----
1. Just logoff/login after a 'yum update' resulting in some gnome desktop upgrade
2.
3.


Comment
-----
Note. I have this problem describe in step1 since FC5 !
Comment 14 Chunnayya Munnayya 2010-03-30 04:39:00 EDT

How to reproduce
-----
1. Reboot + GNOME starts: Panel App has no Panel Name, Rt Click-> Prefs, panel prefs crashes + restarts (and now name appears)
2.
3.
Comment 15 Christopher Beland 2010-03-30 10:21:01 EDT

How to reproduce
-----
Same as previously reported in bug 552423.
Comment 16 Gerhard 2010-03-30 15:39:00 EDT

How to reproduce
-----
1. As always... Right clicked on the workspace-switcher.
2. left clicked on the properties-field
3. And then... this. ;-)
Comment 17 Christopher Beland 2010-04-02 02:43:12 EDT

How to reproduce
-----
Same as bug 552423, but ABRT thinks it's a new crash.
Comment 18 unix63 2010-04-02 08:19:12 EDT

How to reproduce
-----
1.right click select pref on workspace switcher applet
2.
3.


Comment
-----
.right click select pref on workspace switcher applet
Comment 19 John M. Cook 2010-04-04 20:22:46 EDT

How to reproduce
-----
1. Please see my previous post
2.
3.
Comment 20 John M. Cook 2010-04-06 21:37:10 EDT

How to reproduce
-----
1. Right click on workspace panel and click preferences
2.
3.
Comment 21 bethebeast 2010-04-10 08:21:59 EDT

How to reproduce
-----
1. right clic into gnome panel to add a workspace
2. select proprieties
3. crash


Comment
-----
this problem is not easy to reproduce because i try it many times and i get this crash sometimes
Comment 22 Michel Bourget 2010-04-14 10:38:46 EDT
Despite it's low priority, it is a long-standing ( I had it with FC5 )
annoying bug. Is there _any_ plan to fix that ?
Comment 23 Theodore Lee 2010-04-19 03:41:52 EDT

Comment
-----
When I logged in, I noticed that the workspace switcher on my panel was a lot wider than usual (it still had just four workspaces as usual, but each workspace was stretched out considerably). I right-clicked it and selected 'Preferences' to try and figure out what had changed, and that caused both the window list and workspace switcher applets to crash. Reloading the applets seems to have restored normal function. I haven't figured out how to reproduce this bug.
Comment 24 Gary Case 2010-04-22 15:34:17 EDT

How to reproduce
-----
1. Right-click on the workspace switcher
2. Choose "Properties"
3. Crash occurs


Comment
-----
This has been happening for many releases. When you right-click on the workspace switcher and go to the Properties option, it crashes.
Comment 25 Akshay 2010-04-27 10:12:29 EDT

How to reproduce
-----
1. Simply Right Click on Workspace and the crash occurs
2.
3.
Comment 26 Christopher Beland 2010-05-06 00:09:40 EDT
This crash happened to me again, but ABRT reported it as a duplicate of Bug 587852.
Comment 27 Karel Klíč 2010-05-25 05:36:44 EDT
*** Bug 585520 has been marked as a duplicate of this bug. ***
Comment 28 Karel Klíč 2010-05-25 05:36:48 EDT
*** Bug 585564 has been marked as a duplicate of this bug. ***
Comment 29 Karel Klíč 2010-05-25 05:36:52 EDT
*** Bug 585616 has been marked as a duplicate of this bug. ***
Comment 30 Karel Klíč 2010-05-25 05:36:56 EDT
*** Bug 587230 has been marked as a duplicate of this bug. ***
Comment 31 Karel Klíč 2010-05-25 05:37:00 EDT
*** Bug 587979 has been marked as a duplicate of this bug. ***
Comment 32 Karel Klíč 2010-05-25 05:37:04 EDT
*** Bug 589356 has been marked as a duplicate of this bug. ***
Comment 33 Karel Klíč 2010-05-25 05:37:09 EDT
*** Bug 590420 has been marked as a duplicate of this bug. ***
Comment 34 Karel Klíč 2010-05-25 05:37:13 EDT
*** Bug 590452 has been marked as a duplicate of this bug. ***
Comment 35 Karel Klíč 2010-05-25 05:37:17 EDT
*** Bug 590483 has been marked as a duplicate of this bug. ***
Comment 36 Karel Klíč 2010-05-25 05:37:21 EDT
*** Bug 590969 has been marked as a duplicate of this bug. ***
Comment 37 Karel Klíč 2010-05-25 05:37:25 EDT
*** Bug 591181 has been marked as a duplicate of this bug. ***
Comment 38 Karel Klíč 2010-05-25 05:37:29 EDT
*** Bug 591189 has been marked as a duplicate of this bug. ***
Comment 39 Karel Klíč 2010-05-25 05:37:33 EDT
*** Bug 591743 has been marked as a duplicate of this bug. ***
Comment 40 Karel Klíč 2010-05-25 05:37:37 EDT
*** Bug 592759 has been marked as a duplicate of this bug. ***
Comment 41 Karel Klíč 2010-05-25 05:37:41 EDT
*** Bug 593014 has been marked as a duplicate of this bug. ***
Comment 42 Karel Klíč 2010-05-25 05:37:45 EDT
*** Bug 593065 has been marked as a duplicate of this bug. ***
Comment 43 Karel Klíč 2010-05-25 05:37:51 EDT
*** Bug 593177 has been marked as a duplicate of this bug. ***
Comment 44 Karel Klíč 2010-05-25 05:37:55 EDT
*** Bug 593495 has been marked as a duplicate of this bug. ***
Comment 45 Karel Klíč 2010-05-25 05:37:59 EDT
*** Bug 593526 has been marked as a duplicate of this bug. ***
Comment 46 Karel Klíč 2010-05-25 05:38:03 EDT
*** Bug 593672 has been marked as a duplicate of this bug. ***
Comment 47 Karel Klíč 2010-05-25 05:38:07 EDT
*** Bug 594530 has been marked as a duplicate of this bug. ***
Comment 48 Karel Klíč 2010-05-25 05:38:12 EDT
*** Bug 594619 has been marked as a duplicate of this bug. ***
Comment 49 Karel Klíč 2010-05-25 05:38:16 EDT
*** Bug 594985 has been marked as a duplicate of this bug. ***
Comment 50 Karel Klíč 2010-05-25 05:38:20 EDT
*** Bug 595080 has been marked as a duplicate of this bug. ***
Comment 51 Karel Klíč 2010-05-25 05:38:24 EDT
*** Bug 595242 has been marked as a duplicate of this bug. ***
Comment 52 Karel Klíč 2010-05-25 05:38:28 EDT
*** Bug 595464 has been marked as a duplicate of this bug. ***
Comment 53 Joseph 2010-05-27 19:54:26 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Applets in the panel will crash at random with a popup box saying "_____ has quit unexpectedly. Reload?"
Comment 54 Mircea Sava 2010-06-02 07:57:50 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right-click on the Workspace Switcher Applet on the bottom panel
2. hit Preferences
3.


Comment
-----
at the same time crashed both the Show Desktop Applet and Trash Applet.
Comment 55 Jeff Raber 2010-06-03 11:10:23 EDT
*** Bug 587852 has been marked as a duplicate of this bug. ***
Comment 56 Jeff Raber 2010-06-03 11:12:33 EDT
*** Bug 588631 has been marked as a duplicate of this bug. ***
Comment 57 Jeff Raber 2010-06-03 11:14:46 EDT
*** Bug 587493 has been marked as a duplicate of this bug. ***
Comment 58 Jeff Raber 2010-06-03 11:26:25 EDT
*** Bug 583765 has been marked as a duplicate of this bug. ***
Comment 59 Jeff Raber 2010-06-03 11:28:44 EDT
*** Bug 598802 has been marked as a duplicate of this bug. ***
Comment 60 Jeff Raber 2010-06-03 11:28:51 EDT
*** Bug 598993 has been marked as a duplicate of this bug. ***
Comment 61 Jeff Raber 2010-06-03 11:28:55 EDT
*** Bug 599032 has been marked as a duplicate of this bug. ***
Comment 62 Jeff Raber 2010-06-03 11:29:02 EDT
*** Bug 599311 has been marked as a duplicate of this bug. ***
Comment 63 Jeff Raber 2010-06-03 11:30:51 EDT
*** Bug 599513 has been marked as a duplicate of this bug. ***
Comment 64 Jeff Raber 2010-06-03 11:35:10 EDT
*** Bug 597485 has been marked as a duplicate of this bug. ***
Comment 65 Jeff Raber 2010-06-03 11:35:20 EDT
*** Bug 597585 has been marked as a duplicate of this bug. ***
Comment 66 Jeff Raber 2010-06-03 11:35:48 EDT
*** Bug 598461 has been marked as a duplicate of this bug. ***
Comment 67 Jeff Raber 2010-06-03 11:36:14 EDT
*** Bug 598720 has been marked as a duplicate of this bug. ***
Comment 68 Jeff Raber 2010-06-03 11:39:32 EDT
*** Bug 597447 has been marked as a duplicate of this bug. ***
Comment 69 Jeff Raber 2010-06-03 11:39:49 EDT
*** Bug 596853 has been marked as a duplicate of this bug. ***
Comment 70 Jeff Raber 2010-06-03 11:40:11 EDT
*** Bug 596842 has been marked as a duplicate of this bug. ***
Comment 71 Jeff Raber 2010-06-03 11:40:18 EDT
*** Bug 596755 has been marked as a duplicate of this bug. ***
Comment 72 Jeff Raber 2010-06-03 11:40:31 EDT
*** Bug 596448 has been marked as a duplicate of this bug. ***
Comment 73 Jeff Raber 2010-06-03 11:40:42 EDT
*** Bug 596443 has been marked as a duplicate of this bug. ***
Comment 74 Jeff Raber 2010-06-03 11:40:50 EDT
*** Bug 596369 has been marked as a duplicate of this bug. ***
Comment 75 Jeff Raber 2010-06-03 11:43:20 EDT
*** Bug 596336 has been marked as a duplicate of this bug. ***
Comment 76 Jeff Raber 2010-06-03 11:43:48 EDT
*** Bug 596088 has been marked as a duplicate of this bug. ***
Comment 77 Cassius Smith 2010-06-03 12:40:47 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install FC13
2. Restore files from USB external drive
3. Click on workspace switcher


Comment
-----
This kind of came out of the blue; not sure I can really reproduce it.
Comment 78 Need Real Name 2010-06-03 16:02:54 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. right-click virtual desktop applet
2. choose preferences
3. boom
Comment 79 Need Real Name 2010-06-03 17:15:02 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. right-click wnck-applet
2. choose preferences
3. boom
Comment 80 Jeremy Russell 2010-06-04 19:35:00 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Couldn't reproduce.
2.
3.


Comment
-----
Tried changing the Workspace switcher preferences and the error popped up, then after i closed the error box and clicked reload everything was working fine. Went to try again and the preferences screen was up and everything worked fine.
Comment 81 Aníbal Deboni Neto 2010-06-05 10:32:48 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Turn compiz on
2. Go to workspace changer preferences
3. Error
Comment 82 Cédric OLIVIER 2010-06-05 14:28:51 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right clic
2.choose preferences in the menu
3. error
Comment 83 Peter Dawes 2010-06-05 18:13:54 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Removed one toolbar from second monitor (which is set up as a separate display)
2.Add applet to toolbar on primary monitor
3.gnome-panel crash
Comment 84 Jeff Raber 2010-06-05 21:57:23 EDT
*** Bug 600312 has been marked as a duplicate of this bug. ***
Comment 85 Jeff Raber 2010-06-05 21:58:45 EDT
*** Bug 599900 has been marked as a duplicate of this bug. ***
Comment 86 Jeff Raber 2010-06-05 21:59:56 EDT
*** Bug 598275 has been marked as a duplicate of this bug. ***
Comment 87 Jeff Raber 2010-06-05 22:01:44 EDT
*** Bug 600709 has been marked as a duplicate of this bug. ***
Comment 88 th-topo 2010-06-06 10:01:03 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.i opened the apearence window
2.and i right-clicked in the multi-desktop selector in the bottom-right corner
3.i i clicked the preference
Comment 89 Jeff Raber 2010-06-06 11:56:03 EDT
*** Bug 600902 has been marked as a duplicate of this bug. ***
Comment 90 Jeremy Russell 2010-06-06 16:41:45 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Couldn't reproduce.
2.
3.


Comment
-----
Tried changing the Workspace switcher preferences and the error popped up, then after i closed the error box and clicked reload everything was working fine. Went to try again and the preferences screen was up and everything worked fine.
Comment 91 Jeff Raber 2010-06-06 21:22:12 EDT
How to reproduce
-----
1. Boot Fedora 13 and logon.
2. Right click on Workspace Switcher applet (which is on the panel on the bottom of the screen.  This is the default setup after a Fedora install) and select "Properties".
3. Crash!

Comment
-----
This is 100% reproducible for me on 2 different x86_64 systems.  This crash only happens once per session, so to reproduce I must reboot (Step 1 above).


To others that are experiencing this problem sporadically - Please try with the steps listed above to see if you can consistently reproduce the crash.  If so, please comment here.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 92 Jeff Raber 2010-06-07 17:06:53 EDT
*** Bug 601282 has been marked as a duplicate of this bug. ***
Comment 93 Piscium 2010-06-08 01:57:02 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
This crash happened a few minutes after doing "yum updates" in which session there was an update to glibc-2.12-2.i686 - I don't know if that was related or not. 

Anyway, as things looked funny on the Gnome panel (a number of icons disappeared) I rebooted the PC and afterwards clicked on the Workspace Switcher applet on the Gnome panel and that that caused the crash.
Comment 94 Jeff Raber 2010-06-08 23:48:05 EDT
*** Bug 601624 has been marked as a duplicate of this bug. ***
Comment 95 Jeff Raber 2010-06-08 23:48:56 EDT
*** Bug 601449 has been marked as a duplicate of this bug. ***
Comment 96 Oliver Draese 2010-06-09 07:20:22 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Chose "Preferences" on the WorkSpace switcher applet
2.Caused the crash w/o any further actions (no pref pane appeared)
3.
Comment 97 Chunnayya Munnayya 2010-06-09 14:25:46 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Immediately after startup, rt-click, select properties, from panel workspace switcher
2.
3.
Comment 98 boucher.samuel.c 2010-06-14 10:55:50 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.right click proprety on the applet with compiz actif

2.
3.
Comment 99 Jeff Raber 2010-06-15 03:24:54 EDT
*** Bug 602245 has been marked as a duplicate of this bug. ***
Comment 100 Jeff Raber 2010-06-15 03:25:05 EDT
*** Bug 602278 has been marked as a duplicate of this bug. ***
Comment 101 Jeff Raber 2010-06-15 03:25:13 EDT
*** Bug 603463 has been marked as a duplicate of this bug. ***
Comment 102 Jeff Raber 2010-06-15 03:25:23 EDT
*** Bug 603636 has been marked as a duplicate of this bug. ***
Comment 103 Jeff Raber 2010-06-15 03:25:30 EDT
*** Bug 603746 has been marked as a duplicate of this bug. ***
Comment 104 Jeff Raber 2010-06-15 03:25:40 EDT
*** Bug 603879 has been marked as a duplicate of this bug. ***
Comment 105 Jeff Raber 2010-06-15 03:25:49 EDT
*** Bug 603900 has been marked as a duplicate of this bug. ***
Comment 106 C Sand 2010-06-15 07:24:18 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
workspace switcher comes up with wrong defaults. right clicking to get preferences causes crash.
Comment 107 Need Real Name 2010-06-15 12:04:20 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Mouse scrolling in wnck-applet does not change desktops (as it normally does)
2. right-click in wnck-applet, choose preferences from popup menu
3. boom


Comment
-----
Sometimes the wnck-applet will not respond to mouse-wheel scrolling to change desktops.  I've found that I can force a reload of the applet just by choosing the preferences menu when it is in this state.
Comment 108 jwilling_001 2010-06-16 08:44:08 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Occurred at boot up.
2.
3.
Comment 109 rohit 2010-06-16 13:58:27 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. It happened only once when I tried to increase the number of desktops.



Comment
-----
- Cursor on desktops
- Right click and select "preferences" and this error pops up.
Comment 110 Eduardo Villagrán Morales 2010-06-16 17:42:13 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right click on Workspace Switcher
2. choose preferences
3. it crash


Comment
-----
I'm trying change workspace number, when I choose preferences menu item in workspaces switcher it crash. Is not first time this happening me
Comment 111 Leonard Evens 2010-06-16 22:22:42 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
I don't know exactly what happened.  I was trying to increase the number of workspaces.  The result was that the workspace switcher disappeared from the bottom panel and I got the error message.   However, I was able to reinstall the workspace switcher and then change the number of workspaces.
Comment 112 Jeff Raber 2010-06-17 01:26:47 EDT
*** Bug 604141 has been marked as a duplicate of this bug. ***
Comment 113 Jeff Raber 2010-06-17 01:27:19 EDT
*** Bug 604454 has been marked as a duplicate of this bug. ***
Comment 114 Jeff Raber 2010-06-17 01:27:30 EDT
*** Bug 604667 has been marked as a duplicate of this bug. ***
Comment 115 Roman Rakus 2010-06-17 10:27:56 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right click on workspace switcher
2. Select preferences



Comment
-----
I have upgraded from F11 to F13 and on very first boot into F13 this crash occurs. After restarting workspace switcher the crash does not occurs again. I know, this is not usefull reproducer. Feel free to close it, if you can't reproduce it.
Comment 116 dlfrancis 2010-06-17 21:59:17 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. workspace switcher only showed  one and a half workspaces
2. tried to open workspace switcher preferences
3. crashed
Comment 117 Chunnayya Munnayya 2010-06-17 23:21:27 EDT
Package: gnome-panel-2.28.0-16.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Right click on workplace switcher panel applet
2. Select "Preferences"
3.
Comment 118 jackonweb 2010-06-21 04:49:37 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right click on workspace switch , then it crashed.
2.
3.
Comment 119 jackonweb 2010-06-21 04:51:42 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right click on workspace switcher, then it crashed and windows list crashed too.
2.
3.
Comment 120 Jeff Raber 2010-06-21 14:02:24 EDT
*** Bug 606036 has been marked as a duplicate of this bug. ***
Comment 121 Jeff Raber 2010-06-21 14:02:32 EDT
*** Bug 605707 has been marked as a duplicate of this bug. ***
Comment 122 Jeff Raber 2010-06-21 14:02:39 EDT
*** Bug 605250 has been marked as a duplicate of this bug. ***
Comment 123 Giovanni Campagna 2010-06-21 16:33:19 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Not always reproducible
1. Right click workspace selector
2. Select "preferences"
3.


Comment
-----
Crash happened while using mutter (2.29.1-1.fc13)
Comment 124 Fabien Archambault 2010-06-22 10:33:16 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Modify desktop names in Workspace Switcher
2. Log out
3. Log in again
4. No names appear in Workspace Switcher
5. Right click on it
6. Preferences
7. Force reload splash screen appears


Comment
-----
It does not appear each time I log in but I would say 50% of the time.
Comment 125 dinyar.rabady+spam 2010-06-23 17:37:09 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right clicked onto the window selector.
Comment 126 Jeff Raber 2010-06-24 01:09:05 EDT
*** Bug 607047 has been marked as a duplicate of this bug. ***
Comment 127 Petr Kloutvor 2010-06-25 11:30:17 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.No idea
2.
3.
Comment 128 yyetim 2010-06-26 21:40:46 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Couldn't reproduce
2.
3.


Comment
-----
Right clicked to workspace switcher and selected prefences
Comment 129 juju 2010-06-27 06:07:19 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.right click on "multi desktop applet"
2.crash
3.
Comment 130 D. Hugh Redelmeier 2010-06-27 21:31:00 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I right-clicked on workspace switcher
2.
3.


Comment
-----
I right-clicked on workspace switcher.  Tried again and could not reproduce.
Comment 131 tonyc 2010-06-28 04:52:17 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Reboot
2. Login
3. 


Comment
-----
Did software update, system required a reboot, I logged back in and my desktop switcher had forgotten my customisation. I right clicked to rename and the abrt fired up.
Comment 132 Jeff Raber 2010-06-28 11:13:38 EDT
*** Bug 608307 has been marked as a duplicate of this bug. ***
Comment 133 Jeff Raber 2010-06-28 11:13:59 EDT
*** Bug 608308 has been marked as a duplicate of this bug. ***
Comment 134 Jeff Raber 2010-06-28 11:14:05 EDT
*** Bug 608377 has been marked as a duplicate of this bug. ***
Comment 135 Jeff Raber 2010-06-28 11:14:13 EDT
*** Bug 608620 has been marked as a duplicate of this bug. ***
Comment 136 Tomer Perry 2010-06-29 15:29:27 EDT
Package: gnome-panel-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.After login, workspace switcher don't present the workspaces names
2.Right click the applt + preferences
3.


Comment
-----
This problem existed ( for me) on F12, and at some point in time was fixed.
Now, after upgrading to F13, it is consistently repeating.
Everytime I login, the workspace switcher applet stop showing the workspaces names. When right clicking and choosing preferences, it crashes. 
On reload, the workspace names appears and everything works OK.
Comment 137 Jeff Raber 2010-06-30 11:24:41 EDT
*** Bug 609461 has been marked as a duplicate of this bug. ***
Comment 138 Fedora Update System 2010-06-30 16:42:08 EDT
gnome-panel-2.30.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-panel-2.30.0-4.fc13
Comment 139 Piscium 2010-07-01 03:44:34 EDT
I cannot reproduce the bug anymore with gnome-panel version 2.30.0-3 installed (on my PC) on 29/June, but I needed to reboot the PC (or logout, forgot which) after installation.
Comment 140 Fedora Update System 2010-07-01 14:59:05 EDT
gnome-panel-2.30.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-panel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-panel-2.30.0-4.fc13
Comment 141 James Laska 2010-07-06 08:33:49 EDT
Verified that the reported failure procedure (see comment#7) no longer reproduces this problem when using gnome-panel-2.30.0-4.fc13.  

Can others confirm whether the updated gnome-panel package resolves this issue by adding feedback to http://admin.fedoraproject.org/updates/gnome-panel-2.30.0-4.fc13
Comment 142 Fedora Update System 2010-07-06 13:11:29 EDT
gnome-panel-2.30.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 143 Jeff Raber 2010-07-08 18:16:21 EDT
*** Bug 610282 has been marked as a duplicate of this bug. ***
Comment 144 Jeff Raber 2010-07-08 18:16:52 EDT
*** Bug 611005 has been marked as a duplicate of this bug. ***
Comment 145 Jeff Raber 2010-07-08 18:17:06 EDT
*** Bug 611013 has been marked as a duplicate of this bug. ***
Comment 146 Jeff Raber 2010-07-08 18:17:59 EDT
*** Bug 611111 has been marked as a duplicate of this bug. ***
Comment 147 Jeff Raber 2010-07-08 18:18:19 EDT
*** Bug 611245 has been marked as a duplicate of this bug. ***
Comment 148 Jeff Raber 2010-07-08 18:19:10 EDT
*** Bug 611645 has been marked as a duplicate of this bug. ***
Comment 149 Jeff Raber 2010-07-27 23:19:58 EDT
*** Bug 618185 has been marked as a duplicate of this bug. ***
Comment 150 Jeff Raber 2010-07-27 23:23:21 EDT
*** Bug 614044 has been marked as a duplicate of this bug. ***
Comment 151 Jeff Raber 2010-07-27 23:23:42 EDT
*** Bug 616229 has been marked as a duplicate of this bug. ***
Comment 152 Jeff Raber 2010-07-27 23:28:39 EDT
Halfline,  This bug was fixed in gnome-panel-2.30.0-4.fc13, but there are quite a few instances reported here against F12.  Can the fix be backported and applied  to F12?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 153 C Sand 2010-07-27 23:49:52 EDT
(In reply to comment #152)
> Halfline,  This bug was fixed in gnome-panel-2.30.0-4.fc13,
> but there are quite a few instances reported here against F12.
> Can the fix be backported and applied to F12?

I would like to see the fix backported to F12.

I've also had this bug occur on RHEL 6 beta 1.  Haven't tested beta 2.

Given that RHEL 6 is in large part based on F12, it would be a good idea to make the EL folks at aware of the bug fix.

The bug seems to occur more often when the Workspace Switcher applet is configured to have more than 1 row.  For example, 4 workspaces and 2 rows, giving a 2x2 layout.
Comment 154 Jeff Raber 2010-08-31 13:32:21 EDT
*** Bug 628124 has been marked as a duplicate of this bug. ***
Comment 155 Jeff Raber 2010-08-31 13:36:00 EDT
*** Bug 626522 has been marked as a duplicate of this bug. ***
Comment 156 Jeff Raber 2010-08-31 13:36:11 EDT
*** Bug 625040 has been marked as a duplicate of this bug. ***
Comment 157 Jeff Raber 2010-08-31 13:37:49 EDT
*** Bug 619254 has been marked as a duplicate of this bug. ***
Comment 158 Jeff Raber 2010-08-31 13:39:20 EDT
*** Bug 621574 has been marked as a duplicate of this bug. ***
Comment 159 Jeff Raber 2010-08-31 13:40:00 EDT
*** Bug 625040 has been marked as a duplicate of this bug. ***
Comment 160 Jeff Raber 2010-08-31 13:40:41 EDT
*** Bug 626522 has been marked as a duplicate of this bug. ***
Comment 161 Jeff Raber 2010-08-31 13:41:11 EDT
*** Bug 621421 has been marked as a duplicate of this bug. ***
Comment 162 Jeff Raber 2010-08-31 13:42:04 EDT
*** Bug 620234 has been marked as a duplicate of this bug. ***
Comment 163 Jeff Raber 2010-11-06 00:49:14 EDT
*** Bug 635963 has been marked as a duplicate of this bug. ***
Comment 164 Jeff Raber 2010-11-06 00:52:09 EDT
*** Bug 637458 has been marked as a duplicate of this bug. ***
Comment 165 Jeff Raber 2010-11-06 00:52:50 EDT
*** Bug 629132 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.